Subject: Re: [PATCH net-next] ethtool: ioctl: improve error checking for set_wol

From: Jakub Kicinski <[email-masked]>
Date: Mon, 5 Jun 2023 11:21:38 -0700

On Wed, 31 May 2023 13:53:49 -0700 Justin Chen wrote:
> The netlink version of set_wol checks for not supported wolopts and avoids
> setting wol when the correct wolopt is already set. If we do the same with
> the ioctl version then we can remove these checks from the driver layer.
> 
> Signed-off-by: Justin Chen <[email-masked]>

If I understand the discussion correctly the patch is ready to be
applied. Could you repost it? It has been marked as "changes requested"
in patchwork, I'm not 100% sure about the reason.